#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           tokodon
Version: 24.02.2
Release:        %mkrel %{rel}
Summary:        Kirigami-based mastodon client
# For a breakdown of the licensing, see PACKAGE-LICENSING
License:        GPLv3 and CC0 and BSD and LGPLv2+ and GPLv3+ and GPLv2
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/tokodon/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6WebView)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiPlatform)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6ItemModels)

BuildRequires:  cmake(MpvQt)
BuildRequires:  sonnet

Requires:       kirigami
Requires:       kirigami-addons
Requires:       kitemmodels
Requires:       sonnet

%description
Tokodon is a Mastodon client. It allows you to interact
with the Fediverse community.

%files -f %{name}.lang
%doc README.md
%license LICENSES/
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_plugindir}/purpose/tokodonplugin.so
%{_kf6_iconsdir}/hicolor/scalable/actions/%{name}*.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058751
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045288
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037787
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033909
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026830
- New version 24.01.85

* Thu Nov 23 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2009292
- New version 24.01.75
- switch to Qt6/KF6

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990347
- New version 23.08.1

* Sun Jun 11 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961689
- initial package tokodon

